<%@ page 
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.JspContext"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%
// Get the JspContext that was created on the main edit page
final JspContext jspContext = (JspContext)request.getAttribute(JspContext.ATTRIBUTE_KEY);

// The current item is found in the context. NOTE! Can be null if a new item
final User user = (User)jspContext.getCurrentItem();

// Get the DbControl and SessionControl used to handle the request (do not close!)
final DbControl dc = jspContext.getDbControl();
final SessionControl sc = dc.getSessionControl();
final String ID = sc.getId();

final boolean hasOtp = user != null && user.getExtended("otpSecretKey") != null;
final boolean requireOtp = hasOtp || (user != null && Boolean.TRUE.equals(user.getExtended("otpIsRequired")));
%>
<base:page type="include">
	<base:body>
		<table class="fullform input100">
		<tr>
			<th>Login</th>
			<td>
				&nbsp;<%=hasOtp ? "OTP" : "Password" %>
			</td>
		</tr>
		<tr id="require-otp-row" style="<%=hasOtp ? "display: none;" : ""%>">
			<th>Require OTP</th>
			<td>
				<input type="hidden" name="ep.otpIsRequired" value="<%=requireOtp%>" id="otpIsRequired">
				<label><input type="radio" name="requireOtp" id="requireOtp.true" value="true" <%=requireOtp ? "checked" :"" %>>Yes</label>
				<label><input type="radio" name="requireOtp" id="requireOtp.false" value="false" <%=requireOtp ? "" : "checked" %>>No</label>
			</td>
		</tr>
		<tr class="dynamic">
			<th></th>
			<td>
				<div style="padding: 0.5em;">
					<div id="no-otp" style="<%=hasOtp ? "display: none;" : ""%>">
						<div class="messagecontainer note" style="margin: 0; padding: 0.5em;">
							This user has not configured OTP login.	You can force the user
							to setup OTP by enabling the option	above.
							<p style="margin-top: 1em;">
							Note that it is not possible for an administrator to configure OTP 
							for other users.
							</p>
						</div>
					</div>
					<div id="has-otp" style="<%=hasOtp ? "": "display: none;"%>">
						<div class="messagecontainer note" style="margin: 0;  padding: 0.5em;">
							This user is currently configured to login with OTP.<br>
							Click <b>Reset</b> to remove the OTP configuration.<br>
						</div>
					
						<base:buttongroup style="margin-top: 1em;">
							<base:button id="btnOtpReset" title="Reset" image="remove.png" />
						</base:buttongroup>
					</div>	
								
					<div id="otp-was-reset" style="display: none;">
						<div class="messagecontainer note" style="margin: 0; padding: 0.5em;">
							The OTP configuration will be removed when you <b>Save</b> this dialog.<br>
							You can force the user to re-configure OTP by enabling
							the option above.
							<p style="margin-top: 1em;">
							Note that it is not possible for an administrator to configure OTP 
							for other users.
							</p>
						</div>
					</div>				
				</div>
			</td>
		</tr>
		</table>
	</base:body>
</base:page>

