<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.util.Values"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.otp.authentication-manager");
SessionControl sc = Base.getExistingSessionControl(pageContext, false);
String username = Values.getStringOrNull(request.getParameter("username"));
%>
<base:page type="popup" title="Set-up OTP for your account">
<base:head scripts="~setup-otp.js">
<style>
#setup
{
	margin: auto;
	margin-top: 8rem;
	margin-top: 13vh;
	width: 45em;
	font-size: 1.15rem;
}

#setup form
{
	border-width: 2px;
	border-radius: 0.5rem 0.5rem;
}

#setup table
{
	width: 100%;
}

#setup td.instructions
{
	padding: 0.5rem 1rem;
	border-bottom-width: 2px;
	border-radius: 0.5rem 0.5rem 0 0;
}

#setup th, #setup td
{
	padding-left: 1rem;
	text-align: left;
}

#setup th
{
	width: 13em;
	padding-right: 0;
}

#username, #password, #newpw, #newpw2
{
	width: 20rem;
}

#otp
{
	width: 10rem;
}

#message
{
	text-align: center;
	font-style: italic;
	margin-bottom: 1rem;
}

ol
{
	margin: 0.5rem;
}

label
{
	text-decoration: none;
	color: inherit;
}
label:hover
{
	text-decoration: none;
}

#setup td.qrcode
{
    padding: 0.5em;
    text-align: right;
}



#no-qrcode
{
	display: inline-block;
	width: 137px;
	height: 137px;
	background-image: url('images/no-qrcode.png');
	padding: 35px 15px 10px 15px;
    font-size: 85%;
    text-align: center;
    border-width: 1px;
    border-style: dashed;
    border-radius: 5px;
}

#message .error
{
	padding: 0.5rem;
	border-radius: 0.5rem;
	border-width: 2px;
}

#message .success
{
	padding: 2rem;
	border-radius: 0.5rem;
	border-width: 2px;
}

</style>
</base:head>
<base:body>

	<h1>Set-up one-time password login for your account</h1>
	<div id="setup" class="content">
		<div id="message">Welcome to the one-time password set-up wizard!</div>
			
		<form name="setup" id="setup-form">
		<table>
		<tr>
			<td colspan="3" class="instructions note">
				Use this form to set-up OTP login for your account. 
				<ol>
					<li>Enter your Login and Password.
					<li>If you want to, you can also change your password.
					<li>Scan the QR code with the device you are going to use for OTP.
					<li>To verify the setup, enter the current passcode.
					<li>Click on <b>Save</b>.
				</ol>
				<p>
				<b>Note!</b> The OTP setup can only be performed once. If you need to
				reset it please contact the server administrator.
			</td>
		</tr>
		<tr>
			<th class="bg-filled-100"><label for="username">Login</label></th>
			<td><input 
				type="text" class="required" name="username" id="username" value="<%=HTML.encodeTags(username)%>" data-next-focus="password">
			</td>
			<td rowspan="5" class="qrcode">
				<img id="qrcode" src="" style="display:none;">
				<div id="no-qrcode">
					Enter your <b>Login</b> to create the QR code!
				</div>
			</td>
		</tr>
		<tr>
			<th class="bg-filled-100"><label for="password">Password</label></th>
			<td><input 
				type="password" class="required" name="password" id="password" data-next-focus="otp">
			</td>
		</tr>
		<tr id="change-password">
			<th class="bg-filled-100"></th>
			<td><label><input type="checkbox" id="change-pwd">I want to change my passsword</label></td>
		</tr>
		
		<tr id="new-password-1" style="display: none;">
			<th class="bg-filled-100"><label for="newpw">New password</label></th>
			<td><input 
				type="password" name="newpw" id="newpw" autocomplete="off" data-next-focus="newpw2">
			</td>
		</tr>
		<tr id="new-password-2" style="display: none;">
			<th class="bg-filled-100"><label for="newpw2">Re-type password</label></th>
			<td><input 
				type="password" name="newpw2" id="newpw2" autocomplete="off" data-next-focus="otp">
			</td>
		</tr>
		<tr>
			<th class="bg-filled-100" style="border-bottom-left-radius: 0.5rem;"><label for="otp">One-time passcode</label></th>
			<td><input 
				type="text" class="required" name="otp" id="otp" maxlength="6" autocomplete="off">
			</td>
		</tr>
		</table>
		</form>
	</div>
		
	<base:buttongroup subclass="dialogbuttons" style="display: none;" id="close-button">
		<base:button id="btnClose" title="Close" image="ok.png" />
	</base:buttongroup>

	<base:buttongroup subclass="dialogbuttons" id="setup-buttons">
		<base:button id="btnCancel" title="Cancel" />
		<base:button id="btnSave" title="Save" />
	</base:buttongroup>

	
</base:body>
</base:page>
